/****************************************************************
**
** Qt threading tutorial
** (c) 2012 Timothy Pearson <kb9vqf@pearsoncomputing.net>
**
** This tutorial is released into the Public Domain and
** can therefore be modified and/or used for any purpose
**
****************************************************************/

#ifndef _MAIN_H_
#define _MAIN_H_

#include <qapplication.h>
#include <qobject.h>
#include <qpushbutton.h>
#include <qthread.h>

class MainObject;

class WorkerObject : public QObject
{
	Q_OBJECT

	public slots:
		void run();
		void timerHandler();

	signals:
		void displayMessage(QString, QString);

	public:
		QString threadFriendlyName;
};

class MainObject : public QObject
{
	Q_OBJECT

	public slots:
		void emitMessage(QString, QString);
		void buttonClicked();
};

#endif // _MAIN_H_
